# 股單詳情

`GET` `/v1/sharelists/{id}`

獲取股單詳情，包括名稱、描述及成分股列表。

## Parameters

### Path Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | integer | Yes | 股單 ID |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/sharelists/<id>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `sharelist` | object | Yes | 股單詳情 |
| `scopes` | object | No | 訂閱權限資訊 |
| `id` | integer | Yes | 股單 ID |
| `description` | string | No | 描述 |
| `cover` | string | No | 封面圖 URL |
| `subscribers_count` | integer | No | 訂閱人數 |
| `chg` | string | No | 當日漲跌幅 |
| `this_year_chg` | string | No | 年初至今漲跌幅 |
| `subscribed` | boolean | No | 是否已訂閱 |
| `sharelist_type` | integer | No | 類型：`0`=普通，`3`=官方，`4`=行業 |
| `industry_code` | string | No | 行業代碼 |
| `is_self` | boolean | No | 是否為建立者 |
| `subscription` | boolean | No | 是否已訂閱 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "id": 123,
    "name": "AI Picks",
    "description": "Top AI infrastructure stocks",
    "securities": [
      "AAPL.US",
      "NVDA.US"
    ]
  }
}
```
